List tournaments
Lists tournaments the API key owner hosts, was entered into, watches, or that a friend hosts, newest first. Use visibility=public to list public tournaments.
GET
/tournamentsAuthorization
x-api-keyAPI key · headerrequiredA user (dp_) or organization (dp_org_) API key with read scopes.
Query parameters
afterstringOpaque cursor from the previous page's paging.nextCursor.
limitintegerNumber of items to return per page.
min 1 · max 50 · default: 20
visibilitystringFilter to public or private tournaments. Omit to return the tournaments the key owner may view.
Allowed:
publicprivateResponses
200
A page of tournaments.
itemsTournament[]requiredShow propertiesHide properties
Array of
TournamentidstringrequirednamestringrequiredgameTypestringrequiredformatstringrequiredstatusstringrequiredvisibilitystringrequiredmodestringrequiredstartsAtstring | nullrequiredstartedAtstring | nullrequiredmaxPlayersintegerrequiredmin -9007199254740991 · max 9007199254740991
createdByTournamentCreatorrequiredShow propertiesHide properties
userIdstringrequireddisplayNamestringrequiredimagestring | nullrequiredcreatedAtstringrequiredpagingPagingrequiredShow propertiesHide properties
nextCursorstring | nullrequired400
Invalid request.
messagestringrequired401
Missing or invalid API key.
messagestringrequired403
The API key is missing a required scope or is the wrong type for this endpoint.
messagestringrequired404
Entity not found.
messagestringrequired429
Rate limit exceeded. See the Retry-After header.
messagestringrequired500
Internal server error.
messagestringrequired